<template>
  <div class="profile-layout">
    <main>
      <router-view />
      <nav>
        <div class="container">
          <router-link
            :to="{ name: item.href }"
            v-for="item in nav"
            :key="item.href"
          >
            <v-icon color="nav"> {{ item.icon }} </v-icon>
            {{ item.title }}
          </router-link>
        </div>
      </nav>
    </main>
  </div>
</template>

<script>
import { mapActions } from "vuex";

export default {
  name: "ProfileLayout",
  data() {
    return {
      nav: [
        { href: "Search", icon: "mdi-magnify", title: "Поиск" },
        { href: "Messages", icon: "mdi-message-outline", title: "Сообщения" },
        { href: "Feed", icon: "mdi-home-outline", title: "Лента" },
        { href: "Profile", icon: "mdi-account-outline", title: "Профиль" },
        {
          href: "Notifications",
          icon: "mdi-bell-outline",
          title: "Уведомления",
        },
      ],
    };
  },

  methods: {
    ...mapActions({
      loadUserInfo: "user/loadUserInformation",
    }),
  },

  mounted() {
    this.loadUserInfo();
  },
};
</script>

<style scoped lang="scss">
.profile-layout {
  display: grid;
  grid-template-rows: 1fr;
  position: relative;
  height: 100vh;
  height: -webkit-fill-available;
  min-height: 100vh;
  min-height: -webkit-fill-available;
}

main {
  margin: 64px 0 0;
  overflow-y: auto;
  height: calc(100% - 64px);
}

nav {
  padding: ($base-space * 3) 0 ($base-space * 6);
  background-color: $white;
  box-shadow: 0px 2px 4px -1px rgba(0, 0, 0, 0.2),
    0px 4px 5px rgba(0, 0, 0, 0.14), 0px 1px 10px rgba(0, 0, 0, 0.12);
  position: fixed;
  width: 100%;
  bottom: 0;
  left: 0;
  z-index: 50;
  > .container {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    grid-gap: $base-space * 2;
    > a {
      display: flex;
      flex-flow: column;
      justify-items: center;
      align-items: center;
      font-style: normal;
      font-weight: 500;
      font-size: 12px;
      line-height: 14px;
      letter-spacing: 0.0107143em;
      color: #666666;
      &.router-link-active {
        color: $blue;
        > i {
          color: $blue !important;
        }
      }
    }
  }
}
</style>
